CREATE TABLE irc_agencies (
    AGENCY_ID                    NUMBER(18, 0) ,
    AGENCY_NAME                  VARCHAR2(960) ,
    AGENCY_EMAIL                 VARCHAR2(960) ,
    STATUS_CODE                  VARCHAR2(120)     NOT NULL,
    AGENCY_CONTACT               VARCHAR2(960) ,
    AGENCY_TYPE_CODE             VARCHAR2(120) ,
    CONTRACT_TYPE_CODE           VARCHAR2(120) ,
    AGENCY_NOTES                 VARCHAR2(4000),
    EMBARGO_PERIOD_CODE          VARCHAR2(120) ,
    INACTIVATION_DATE            DATE          ,
    DELETION_DATE                DATE          ,
    CREATE_JA_FLAG               VARCHAR2(4)   ,
    CAND_INTERNAL_SEARCH_FLAG    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    AGENCY_ID                    NUMBER(18, 0) ,
    AGENCY_NAME                  VARCHAR2(960) ,
    AGENCY_EMAIL                 VARCHAR2(960) ,
    STATUS_CODE                  VARCHAR2(120)     NOT NULL,
    AGENCY_CONTACT               VARCHAR2(960) ,
    AGENCY_TYPE_CODE             VARCHAR2(120) ,
    CONTRACT_TYPE_CODE           VARCHAR2(120) ,
    AGENCY_NOTES                 VARCHAR2(4000),
    EMBARGO_PERIOD_CODE          VARCHAR2(120) ,
    INACTIVATION_DATE            DATE          ,
    DELETION_DATE                DATE          ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREATE_JA_FLAG               VARCHAR2(4)   ,
    CAND_INTERNAL_SEARCH_FLAG    VARCHAR2(4)   ,
    CONSTRAINT pk_irc_agencies PRIMARY KEY (AGENCY_ID, AGENCY_ID)
);
